org.springframework.cloud.dataflow.core

## Class BindingPropertyKeys

- java.lang.Object
- - org.springframework.cloud.dataflow.core.BindingPropertyKeys

-     public class BindingPropertyKeys
      extends Object

  Spring Cloud Stream property keys used for binding.
  Author:
    Ilayaperumal Gopinathan, Marius Bogoevici, Mark Fisher

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `BINDING_KEY_PREFIX`
    `static String` | `INPUT_BINDING_KEY_PREFIX` Prefix used in property keys for input binding.
    `static String` | `INPUT_CONTENT_TYPE` Content Type property key for input binding.
    `static String` | `INPUT_DESTINATION` Destination property key for input binding.
    `static String` | `INPUT_GROUP` Group property key for input binding.
    `static String` | `INPUT_PARTITIONED` Partitioned property key for input binding.
    `static String` | `OUTPUT_BINDING_KEY_PREFIX` Prefix used in property keys for output binding.
    `static String` | `OUTPUT_CONTENT_TYPE` Content Type property key for output binding.
    `static String` | `OUTPUT_DESTINATION` Destination property key for output binding.
    `static String` | `OUTPUT_PARTITION_COUNT` Partition Count property key for output binding.
    `static String` | `OUTPUT_PARTITION_KEY_EXPRESSION` Partition Key Expression property key for output binding.
    `static String` | `OUTPUT_PARTITION_KEY_EXTRACTOR_CLASS` Partition Key Extractor Class property key for output binding.
    `static String` | `OUTPUT_REQUIRED_GROUPS` Required groups for output binding.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `BindingPropertyKeys()`

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### BINDING_KEY_PREFIX

          public static final String BINDING_KEY_PREFIX

      See Also:
        Constant Field Values

    - #### OUTPUT_BINDING_KEY_PREFIX

          public static final String OUTPUT_BINDING_KEY_PREFIX

      Prefix used in property keys for output binding.
      See Also:
        Constant Field Values

    - #### INPUT_BINDING_KEY_PREFIX

          public static final String INPUT_BINDING_KEY_PREFIX

      Prefix used in property keys for input binding.
      See Also:
        Constant Field Values

    - #### OUTPUT_PARTITION_COUNT

          public static final String OUTPUT_PARTITION_COUNT

      Partition Count property key for output binding.
      See Also:
        Constant Field Values

    - #### OUTPUT_REQUIRED_GROUPS

          public static final String OUTPUT_REQUIRED_GROUPS

      Required groups for output binding. Ensures that if the producer is created first, consumers will still receive data.
      See Also:
        Constant Field Values

    - #### INPUT_DESTINATION

          public static final String INPUT_DESTINATION

      Destination property key for input binding.
      See Also:
        Constant Field Values

    - #### INPUT_GROUP

          public static final String INPUT_GROUP

      Group property key for input binding.
      See Also:
        Constant Field Values

    - #### INPUT_PARTITIONED

          public static final String INPUT_PARTITIONED

      Partitioned property key for input binding.
      See Also:
        Constant Field Values

    - #### OUTPUT_DESTINATION

          public static final String OUTPUT_DESTINATION

      Destination property key for output binding.
      See Also:
        Constant Field Values

    - #### OUTPUT_PARTITION_KEY_EXPRESSION

          public static final String OUTPUT_PARTITION_KEY_EXPRESSION

      Partition Key Expression property key for output binding.
      See Also:
        Constant Field Values

    - #### OUTPUT_PARTITION_KEY_EXTRACTOR_CLASS

          public static final String OUTPUT_PARTITION_KEY_EXTRACTOR_CLASS

      Partition Key Extractor Class property key for output binding.
      See Also:
        Constant Field Values

    - #### INPUT_CONTENT_TYPE

          public static final String INPUT_CONTENT_TYPE

      Content Type property key for input binding.
      See Also:
        Constant Field Values

    - #### OUTPUT_CONTENT_TYPE

          public static final String OUTPUT_CONTENT_TYPE

      Content Type property key for output binding.
      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### BindingPropertyKeys

          public BindingPropertyKeys()

Copyright © 2021 Pivotal Software, Inc.. All rights reserved.